/* LCD_8.h V1.0
 * LCD Functions Developed by dracek
 * 12.2.2015
 */

#ifndef LCD_8_H_
    #define LCD_8_H_

    #define RS RA1
    #define RW RA2
    #define EN RA3

    #define D0 RB0
    #define D1 RB1
    #define D2 RB2
    #define D3 RB3
    #define D4 RB4
    #define D5 RB5
    #define D6 RB6
    #define D7 RB7

    void lcd_port(char a);
    void lcd_cmd(unsigned char cmd);
    void lcd_clear();
    void lcd_init();
    void lcd_zapis(const char *str);
    void lcd_move(char row, char col);

#endif /* ONE_WIRE_H_ */